Eclipse non genera MainActivity.java & activity_main.xml

? Vivek Warde @ | Original: StackOverFlow
---

Sulla creazione di un nuovo progetto di applicazione Android, MainActivity.java sotto il nome del pacchetto dovrebbe essere generato automaticamente nella cartella src & amp ; activity_main.xml Dovrebbe essere creato all'interno della cartella layout. Ma non è stato creato .

Eclipse non genera MainActivity.java & activity_main.xml

E anche in manifesto `t del doesn generare questo POC

 <activity
        android:name="info.androidhive.slidingmenu.MainActivity"
        android:label="@string/app_name" >
        <intent-filter>
            <action android:name="android.intent.action.MAIN" />

            <category android:name="android.intent.category.LAUNCHER" />
        </intent-filter>
    </activity>

Tuttavia, ho aggiunto tutte queste cose manualmente .

activity_main.xml poi mostra questo errore

 Eclipse is loading framework information and the layout library from the SDK folder.
 activity_main.xml will refresh automatically once the process is finished.

MainActivity.java non riconosce il campo layout in setContentView(R.layout.activity_main)

E ieri ho downloalded gli aggiornamenti da SDK Gestione questi strumenti sono installati / aggiornati Eclipse non genera MainActivity.java & activity_main.xml  Eclipse non genera MainActivity.java & activity_main.xml

Ho provato la pulizia del progetto, modificando l'area di lavoro, riavviare l'eclisse & amp ; finestre ma non aiuta :(

---

Top 5 Risposta

1Little Child @

C'è un'opzione per selezionare se generare MainActivity e activity_main.xml . Sei sicuro di aver selezionato quelli ? Assicurarsi di selezionare questo.

Eclipse non genera MainActivity.java & activity_main.xml

Senza questo, il mio progetto sembra uguali ai suoi :

Eclipse non genera MainActivity.java & activity_main.xml

2TGMCians @

As one guy said

Ho avuto lo stesso problema, anche se ho scaricato l'SDK di Android e ha fatto una installazione pulita, ma ho appena risolto esso . Ho provato a fare clic su " Help" - > " Controlla aggiornamenti ", e poi ho avuto un messaggio pop - up dicendo tutto era al corrente, ma dopo ulteriori ricerche è apparso a me non era aggiornato . Quello che dovete fare è cliccare su " Help" - > " Installa nuovo software" e installare (questo aggiornarlo ) da questo url : https://dl-ssl.google.com/android/eclipse/

Vedi qui filo https://code.google.com/p/android/issues/detail?id=66647

3Solution @

Queste soluzioni non ha funzionato per me, ma quello che risolvono il problema per me era la cancellazione del progetto AppCompat che sono auto- creato quando creiamo un nuovo progetto di applicazione Android .

4user3562859 @

La stessa cosa è successa a me paio di giorni fa, dopo l'aggiornamento SDK attraverso Android SDK Manager. Quando ho riavviato eclissi, ho ottenuto un pop - up dicendo mio tool di sviluppo di Android ( ADT ) o un plugin per Eclipse ha bisogno di aggiornamento alla versione 22.6.2

Ecco le informazioni http://developer.android.com/tools/sdk/eclipse-adt.html

e cliccare su Aggiornamento ADT, le istruzioni di download sono in là .

Ho copiato qui nel caso ,

Scarica il plugin ADT Avviare Eclipse, quindi selezionare Guida > installare nuovo software . Fare clic su Aggiungi, nell'angolo in alto a destra . Nella finestra di dialogo Aggiungi repository che appare, digitare " ADT Plugin " per il nome e il seguente URL per la posizione :  https://dl-ssl.google.com/android/eclipse/ Nota : gli strumenti di sviluppo sito degli aggiornamenti Android richiede una connessione sicura . Assicurarsi che l'URL aggiornamento del sito si accede inizia con HTTPS . Fare clic su OK . Nella finestra di dialogo Software disponibili, selezionare la casella di controllo accanto al Developer Tools e fare clic su Avanti . Nella finestra successiva, verrà visualizzato un elenco degli strumenti da scaricare . Fare clic su Avanti . Leggere e accettare gli accordi di licenza, quindi fare clic su Fine . Se si riceve un avviso di protezione dicendo che l'autenticità o la validità del software non è possibile stabilire, fare clic su OK . Una volta completata l' installazione, riavviare Eclipse .

Spero che questo aiuti .

5doohsam @

Stavo avendo lo stesso problema . Ho cercato di creare il progetto con un diverso target SDK . Ho usato API 16 Android 4.1 e che ha funzionato .